org.apache.cassandra.db.commitlog

## Class ReplayPosition.ReplayFilter

- java.lang.Object
- - org.apache.cassandra.db.commitlog.ReplayPosition.ReplayFilter

Enclosing class:
  ReplayPosition

    public static class ReplayPosition.ReplayFilter
    extends java.lang.Object

A filter of known safe-to-discard commit log replay positions, based on the range covered by on disk sstables and those prior to the most recent truncation record

### Constructor Summary

Constructors
Constructor and Description
`ReplayFilter(java.lang.Iterable<SSTableReader> onDisk, ReplayPosition truncatedAt)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isEmpty()`
`boolean` `shouldReplay(ReplayPosition position)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReplayFilter

    public ReplayFilter(java.lang.Iterable<SSTableReader> onDisk,
                        ReplayPosition truncatedAt)

### Method Detail

#### shouldReplay

    public boolean shouldReplay(ReplayPosition position)

#### isEmpty

    public boolean isEmpty()